Create an offer (user-scoped)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transact-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Transact API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transact-api/mcp"
  }
}

Close
POST /transact-workflow/v1/users/{userId}/Offers

Creates a new offer on a transaction under the specified user's path. Equivalent to POST /transact-workflow/v1/Offers with the user supplied in the path instead of the request body.

Path parameters

  • userId string(uuid) Required

    Unique identifier (GUID) of the acting user.

application/json

Body Required

Payload for creating a new offer on a transaction.

  • userId string(uuid) Required

    GUID of the user creating the offer.

  • transactionId string(uuid) Required

    GUID of the transaction the offer belongs to.

  • closingDate string(date-time)

    Closing date.

  • finalWalkthroughDate string(date-time)

    Final walkthrough date.

  • possessionDate string(date-time)

    Possession date.

  • offerDate string(date-time)

    Date the offer was made.

  • expirationDate string(date-time)

    Offer expiration date.

  • acceptanceDate string(date-time)

    Offer acceptance date.

  • purchasePrice number

    Purchase price.

  • deposit number

    Deposit amount.

Responses

  • 201

    Offer created.

  • 400 application/json

    The request is malformed or contains invalid parameters.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 401 application/json

    The access token is missing, invalid, or expired.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 403 application/json

    The caller is not permitted to perform this operation.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 404 application/json

    The requested resource does not exist.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

POST /transact-workflow/v1/users/{userId}/Offers
curl \
 --request POST 'https://api.pre.lwolf.com/transact-workflow/v1/users/{userId}/Offers' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "lw-subscription-key: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"userId":"string","transactionId":"string","closingDate":"2026-05-04T09:42:00Z","finalWalkthroughDate":"2026-05-04T09:42:00Z","possessionDate":"2026-05-04T09:42:00Z","offerDate":"2026-05-04T09:42:00Z","expirationDate":"2026-05-04T09:42:00Z","acceptanceDate":"2026-05-04T09:42:00Z","purchasePrice":650500,"deposit":100000}'
Request examples
{
  "userId": "string",
  "transactionId": "string",
  "closingDate": "2026-05-04T09:42:00Z",
  "finalWalkthroughDate": "2026-05-04T09:42:00Z",
  "possessionDate": "2026-05-04T09:42:00Z",
  "offerDate": "2026-05-04T09:42:00Z",
  "expirationDate": "2026-05-04T09:42:00Z",
  "acceptanceDate": "2026-05-04T09:42:00Z",
  "purchasePrice": 650500,
  "deposit": 100000
}
Response examples (400)
{
  "error": "string",
  "message": "string"
}
Response examples (401)
{
  "error": "string",
  "message": "string"
}
Response examples (403)
{
  "error": "string",
  "message": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string"
}